import '../../Css/Dashboard.css';
import React, { useState } from 'react';
import TopNavBar from '../../Components/Navbar/Navbar';
import Map from './Map';
import Visualiser from './Visualiser';
import { SearchComponent } from '../../Components/Search/SearchComponent';

export const Dashboard = () => {
  const [data, setData] = useState({ label: "", id: "" });
  const [region, setRegion] = useState({});
  const [displayMap, setDisplayMap] = useState(true); // State variable to track the currently displayed component

  const handlerFunction = (Region_data) => {
    setData(Region_data);
  };

  const changeRegion = (regionName) => {
    // Update the region state to trigger re-render and change the color of the specified region's path
    setRegion(regionName);
    handlerFunction(data);
  };

  const toggleDisplay = () => {
    setDisplayMap(!displayMap); // Toggle the displayMap state
  };

  return (
    <div className='dashboard'>
      <TopNavBar toggleDisplay = {toggleDisplay} displayMap = {displayMap} />
     
      <div className='container'>
        <div className='search_container'>
          <SearchComponent data={data.label} changeRegion={changeRegion} />
        </div>
        <div className='map_container' id="d3_map">
          <Map handlerFunction={handlerFunction} selectedRegion={region} />
        </div>
        <div className='table_container'>
          <Visualiser Regiondata={data} />
        </div>
      </div>
    </div>
  );
};


/*
<div className='content_container'>
          {/* Conditional rendering based on the displayMap state */
        /*
        }
          {displayMap ? (
            <div className='map_container' id="d3_map">
              <Map handlerFunction={handlerFunction} selectedRegion={region} />
            </div>
          ) : (
            <div className='table_container'>
              <Visualiser Regiondata={data} />
            </div>
          )}
        </div>

*/